"use strict";
/** @format */
Object.defineProperty(exports, "__esModule", { value: true });
exports.transformTag = void 0;
const qinjs_cli_shared_1 = require("@fe6/qinjs-cli-shared");
const transformTag = (node, _) => {
    if (!(0, qinjs_cli_shared_1.isElementNode)(node)) {
        return;
    }
    const newTag = qinjs_cli_shared_1.HTML_TO_MINI_PROGRAM_TAGS[node.tag];
    if (newTag) {
        node.tag = newTag;
        node.tagType = 0 /* ElementTypes.ELEMENT */;
    }
};
exports.transformTag = transformTag;
